Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind
Interface ValidationEventLocator

All Known Implementing Classes:
  ValidationEventLocatorImpl

    public interface ValidationEventLocator

Encapsulate the location of a ValidationEvent.

The `ValidationEventLocator` indicates where the `ValidationEvent` occurred. Different fields will be set depending on the type of validation that was being performed when the error or warning was detected. For example, on-demand validation would produce locators that contained references to objects in the Java content tree while unmarshal-time validation would produce locators containing information appropriate to the source of the XML data (file, url, Node, etc).

Since:
  JAXB1.0
See Also:
  `Validator`, `ValidationEvent`

Method Summary
`int` | `getColumnNumber()` Return the column number if available
`int` | `getLineNumber()` Return the line number if available
`Node` | `getNode()` Return a reference to the DOM Node if available
`Object` | `getObject()` Return a reference to the object in the Java content tree if available
`int` | `getOffset()` Return the byte offset if available
`URL` | `getURL()` Return the name of the XML source as a URL if available

Method Detail

### getURL

    URL getURL()

  Return the name of the XML source as a URL if available

  Returns:
    the name of the XML source as a URL or null if unavailable

### getOffset

    int getOffset()

  Return the byte offset if available

  Returns:
    the byte offset into the input source or -1 if unavailable

### getLineNumber

    int getLineNumber()

  Return the line number if available

  Returns:
    the line number or -1 if unavailable

### getColumnNumber

    int getColumnNumber()

  Return the column number if available

  Returns:
    the column number or -1 if unavailable

### getObject

    Object getObject()

  Return a reference to the object in the Java content tree if available

  Returns:
    a reference to the object in the Java content tree or null if unavailable

### getNode

    Node getNode()

  Return a reference to the DOM Node if available

  Returns:
    a reference to the DOM Node or null if unavailable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.